// https://esdoc.org/manual/tags.html

import store from './store'
import snakeTetris from './snake-tetris'
import canvas from './components/canvas'

canvas(document.querySelector('canvas'), store, () => {
	store.ctx.fillStyle = 'rgba(255,255,255,1)'
	store.ctx.fillRect(0, 0, 1000, 1000)
	// scene()
	snakeTetris()
	store.keyboard.process()
})

if (module.hot) { // eslint-disable-line
	module.hot.accept() // eslint-disable-line
}
